Skip to content

Transfer Single Query

API Information

  • Path: /api/v1/txn/query
  • Method: POST
  • Content-Type: application/json

Business Description

  • Used to query the detailed status of a single payment transaction.
  • You can query by either requestId or payoutId.
  • Use this interface to confirm the transaction status after payment initiation.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
requestIdstring(32)Business transaction IDC-Required if payoutId is empty
payoutIdinteger(32)Payment transaction IDC-Required if requestId is empty
signstringSignatureN

Request Example

json
{
  "merchantNo": "800225",
  "requestId": "REQ20240101123456789012345678901",
  "payoutId": 1808783413957234688,
  "sign": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8NoResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  └─merchantNostringMerchant number
  └─requestIdstringBusiness transaction ID
  └─payoutIdintegerPayment transaction ID
  └─statusstringStatus enumeration values
  └─settleCurrencystringSettlement Currency
  └─settleSumAmountnumberSettlement summary amount
  └─serviceFeenumberFee
  └─convRatenumberConversion FX Rate

Response Example

json
{
  "respCode": "20000",
  "respMsg": null,
  "data": {
    "merchantNo": "801040",
    "requestId": "DM20250888804123",
    "payoutId": "1954374604177408000",
    "status": "P",
    "settleCurrency": "USD",
    "settleSumAmount": 8.939382,
    "serviceFee": -2.089382,
    "convRate": 277.564623,
    "payoutStatusReason": null,
    "payerDetail": {
      "id": "1954374605835165698",
      "merchantNo": "800149",
      "companyNameEn": null,
      "companyName": null,
      "country": "HK",
      "addressEn1": "Nanshan Science & Technology Park, Shenzhen",
      "addressEn2": "2",
      "addressEn3": "3",
      "registerNo": null,
      "registerDate": null,
      "postcode": "518057",
      "status": 0,
      "isDeleted": null,
      "creator": null,
      "updator": null,
      "createTime": "2025-08-08 14:59:13",
      "updateTime": null,
      "email": "1@qq.com",
      "areaCode": "+91",
      "phoneNumber": "9884783388",
      "state": "hubei",
      "city": "wuhan",
      "subEntityType": "1",
      "firstName": "zhang",
      "lastName": "san2",
      "idType": "0",
      "idNumber": "371328198410044019",
      "birthDate": "1984-10-04",
      "idValidDateFrom": "2016-08-04",
      "idValidDateTo": "2026-08-04",
      "payerId": "1953712585351499776",
      "payoutId": "1954374604177408000"
    }
  }
}